# time and date related functions.

The following information gives a taste of the date and time related functions. It stikes me that this is overly complicated, but what do I know... To review all the functions available in the standard library, click here.

      Library:   time.h

      Prototype: char *asctime( const struct tm *time);
                 char *ctime(const time_t *timer);
                 struct tm *localtime(const time_t *timer);
                 size_t strftime(char *s,
              		     size_t maxsize,
    		   	     const *format,
    	   		     const struct tm *time);

      Syntax:

The prototype list does NOT list all the functions that are described in time.h - only the ones I have used and shown in the example that follows.

Example program.

Here is a time related problem.

## See also:

- time.h standard library.

Top | Master Index | Keywords | Functions